# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%{!?_mavenpomdir: %global _mavenpomdir %{_datadir}/maven2/poms}

%global namedversion %{version}

%bcond_with repolib

Name:           maven-shared-resources
Version:        1
Release:        1%{?dist}
Epoch:          0
Summary:        Maven Shared Resources
License:        ASL 2.0
Group:          Development/Java
URL:            http://maven.apache.org/shared/
%if 0
svn -q export -r 1337258 http://svn.apache.org/repos/asf/maven/shared/tags/maven-shared-resources-1 && \
tar cjf maven-shared-resources-1.tar.bz2 maven-shared-resources-1
%endif
Source0:        maven-shared-resources-1.tar.bz2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A collection of templates that are specific to the Maven project.

%package javadoc
Summary:        Javadoc for maven-shared-resources
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} deploy javadoc:aggregate

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/apache/maven/shared/maven-shared-resources/%{namedversion}/maven-shared-resources-%{namedversion}.jar %{buildroot}%{_javadir}/maven-shared-resources-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/apache/maven/shared/maven-shared-resources/%{namedversion}/maven-shared-resources-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-maven-shared-resources.pom
%add_to_maven_depmap org.apache.maven.shared maven-shared-resources %{namedversion} JPP maven-shared-resources
[ -f %{buildroot}%{_mavendepmapfragdir}/maven-shared-resources ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/maven-shared-resources

%if 0
%{__mkdir_p} %{buildroot}%{_javadocdir}/maven-shared-resources-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-shared-resources-%{namedversion}
%{__ln_s} maven-shared-resources-%{namedversion} %{buildroot}%{_javadocdir}/maven-shared-resources
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}*/maven-shared-resources-%{namedversion}.jar
%{_javadir}*/maven-shared-resources.jar
%{_mavenpomdir}/JPP-maven-shared-resources.pom
%{_mavendepmapfragdir}/maven-shared-resources

%files javadoc
%defattr(0644,root,root,0755)
%if 0
%{_javadocdir}/maven-shared-resources-%{namedversion}
%{_javadocdir}/maven-shared-resources
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri May 11 2012 David Walluck <dwalluck@redhat.com> 0:1-1
- release
